/**
 * Ce programme sert  montrer la cration de fichier ou rpertoire
 * ainsi que l'utilisation de quelques mthodes de la classe File.

 * @author Mohamed Lokbani 
 * @version 1.0
 */

import java.io.*;

class testfic  {
    
    public static void main (String args[]) {
	
	
	File monfic = new File ("unfic.txt");
	File monrep = new File ("reptest");
	
	// on ouvre un flux en entre vers le fichier test.in
	System.out.println("test1: " + monfic.isFile());
	System.out.println("test2: " + monfic.isDirectory());
	
	try {
	    if (monfic.createNewFile())
		System.out.println("Fichier: unfic.txt a t correctement cre");
	    else System.out.println("Erreur lors de la cration du fichier: unfic.txt");
	    
	    if (monrep.mkdir())
		System.out.println("Rpertoire: reptest a t correctement cre");
	    else System.out.println("Erreur lors de la cration du rpertoire: reptest");
	    
	    
	    if (monfic.canRead())
		System.out.println("Fichier: unfic.txt peut tre lu");
	    else System.out.println("Le fichier: unfic.txt n'est pas en mode de lecture");
	    
	    if (monfic.canWrite())
		System.out.println("Fichier: on peut crire dans le fichier unfic.txt");
	    else System.out.println("Le fichier: unfic.txt n'est pas en mode d'criture");
	    
	    
	}
	
	
	catch (IOException e) {
	    System.out.println("Erreur: " + e);
	    System.exit(1);
	}
	System.exit(0);

    }
}
